#!/usr/bin/perl -w

use strict;
use vars qw($VERSION $ERRDOC $ERRORDOC);

BEGIN
 {
  $VERSION  = '0.01';
  $ERRDOC   = '/var/www/selfhtml.org/de/dokumente/fehler/redirect.txt';
  $ERRORDOC = '/var/www/selfhtml.org/de/dokumente/fehler/fehler404.html';
 }

use CGI qw/header/;
use CGI::Carp qw/fatalsToBrowser/;

my $RURI = $ENV{REQUEST_URI};

open DAT, '<'.$ERRDOC;

while(<DAT>) {
  next unless m!$RURI!;

  my ($ru,$r) = split /\s+/;

  print header(
    -status   => 302,
    -location => $r
  );

  exit 0;
}

close DAT;

print header(-type => "text/html");

local $/;
open DAT,'<'.$ERRORDOC;
print <DAT>;
close DAT;


